- Home
- API Enriched
- Tenant And Identity
- web
- Add comment to a customer support ticket in managed tenant.
Add comment to a customer support ticket in managed tenant.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/managed_client/customer_supports/example/comment';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"attachments":[{"attachment":"example","content_type":"example","filename":"example","tp_id":"example"}],"comment":"example","tp_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/managed_client/customer_supports/example/comment \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "attachments": [ { "attachment": "example", "content_type": "example", "filename": "example", "tp_id": "example" } ], "comment": "example", "tp_id": "example" }'Adds additional comment to a specified customer support ticket. The comment may include an attachment.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Third party ID ID assigned to this ticket by our support provider.
Request Bodyrequired
Section titled “Request Bodyrequired”Adds a new comment to an existing customer support ticket.
object
Any binary attachments (such as screenshots, plain text files) encoded as base64 if used over HTTP.
Attachment represents a single support ticket comment attachment. Attachment are normally not store with the ticket itself, they represent a handle in the third party, so the contact can be retrieved omn demand.
object
Any binary attachment (such as screenshots, plain text files, PDFs) encoded as base64 if used over HTTP.
Mime content type of the attachment. Helps the UI to properly display the data.
Filename of the attachment as provided by the caller.
Optional ID as assigned by the 3rd party actually storing the data.
Comment on a existing customer support ticket.
ID assigned to this ticket by our support provider.
Examplegenerated
{ "attachments": [ { "attachment": "example", "content_type": "example", "filename": "example", "tp_id": "example" } ], "comment": "example", "tp_id": "example"}Responses
Section titled “Responses”A successful response.
Gives details of result of adding a customer support ticket.
object
Example
{ "err": "EUNKNOWN"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example